<?php
	class Email{
		public function SendEmail($EmailEmpresa, $EmailCliente, $Assunto, $CorpoEmailHTML){
	
				if (eregi('tempsite.ws$|locaweb.com.br$|hospedagemdesites.ws$|websiteseguro.com$', $_SERVER[HTTP_HOST])) {
						$emailsender='efeitovisualdf@gmail.com'; // Substitua essa linha pelo seu e-mail@seudominio
				} else {
						$emailsender = "Vfoto@" . $_SERVER[HTTP_HOST];
						 //    Na linha acima estamos forçando que o remetente seja 'webmaster@seudominio',
						// você pode alterar para que o remetente seja, por exemplo, 'contato@seudominio'.
				}
				
				if($EmailCliente == ''){
				 $EmailCliente = 'dffrancisco@gmail.com';	
				}
				
				/* Verifica qual é o sistema operacional do servidor para ajustar o cabeçalho de forma correta. Não alterar */
				if(PHP_OS == "Linux") $QL = "\n"; //Se for Linux
				elseif(PHP_OS == "WINNT") $QL = "\r\n"; // Se for Windows
				else die("Este script nao esta preparado para funcionar com o sistema operacional de seu servidor");
				/*
				$nomeremetente     = $nome;
				$emailremetente    = $email;
				
				$emaildestinatario = 'efeitovisualdf@gmail.com';
				$assunto           = 'Contato EfeitoVisualDF';*/
				
				/* Montando a mensagem a ser enviada no corpo do e-mail. */
				$mensagemHTML = '<p><b><i>'.$CorpoEmailHTML.'</i></b></p><hr>';
				
							
				/* Montando o cabeçalho da mensagem */
				$headers = "MIME-Version: 1.1".$QL;
				$headers .= "Content-type: text/html; charset=iso-8859-1".$QL;
				// Perceba que a linha acima contém "text/html", sem essa linha, a mensagem não chegará formatada.
				$headers .= "From: ".$emailsender.$QL;
				$headers .= "Cc: ".$QL;
				$headers .= "Bcc: ".$QL;
				$headers .= "Reply-To: ".$EmailCliente.$QL;
				// Note que o e-mail do remetente será usado no campo Reply-To (Responder Para)
				
				/* Enviando a mensagem */
				//Verificando qual é o MTA que está instalado no servidor e efetuamos o ajuste colocando o paramentro -r caso seja Postfix
				
				
				if(!mail($EmailEmpresa, $Assunto, $mensagemHTML, $headers ,"-r".$emailsender)){ // Se for Postfix
					$headers .= "Return-Path: " . $emailsender . $QL; // Se "não for Postfix"
					mail($EmailEmpresa, $Assunto, $mensagemHTML, $headers );
				}
				echo (".");
				
				/* Mostrando na tela as informações enviadas por e-mail */
				
				/////////////////////////////////////////////////////////////////////////////////
							
										
							$headers = "From: ".$EmailCliente."\nContent-type: text/html"; # o ‘text/html' é o tipo mime da mensagem
							if(!mail($EmailEmpresa,$Assunto,$mensagemHTML)){
								echo(' ## Falha no envio ## ' );
								} else {
								echo ("...");
								} 
						
						
						
		
			
		}
	
}

?>